> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sendrealm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Template Versions

> List the version history for a dashboard-authored template.

## Endpoints

* `GET /templates/:id/versions`

Version restoration is available only in the dashboard.


## OpenAPI

````yaml api-reference/openapi.json GET /templates/{id}/versions
openapi: 3.0.1
info:
  title: Sendrealm API
  description: >-
    API for email, push, audience resources, domains, campaign drafts,
    templates, events, topics, and automations
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sendrealm.com
security:
  - bearerAuth: []
paths:
  /templates/{id}/versions:
    get:
      summary: List template versions
      parameters:
        - $ref: '#/components/parameters/Id'
      responses:
        '200':
          description: Version history
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    Id:
      name: id
      in: path
      required: true
      schema:
        type: string
        format: uuid
  responses:
    Unauthorized:
      description: Invalid or missing API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        status:
          type: number
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            details:
              nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````